<?php
/*

Copyright (c)2002-2003 DuckCorp(tm) and RtpNet(tm)



This file is part of LMS.

LMS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

LMS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LMS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	$devel=false;
	$version="0.5.2";

	if ($devel)
	{       
		$version.="+ devel";
		include("/etc/lms-dev/main.php");
	}
	else
	{       
		//error_reporting(1);
		//error_reporting(0);
		include("/etc/lms/main.php");
	}

	session_name("LMS/U-WI");
	session_start();
	if (!session_is_registered("session"))
	{
		if(!session_register("session"))
		{
			include("header.php");
			print("<H1>!!! Session management is Broken !!!</H1>");
			include("footer.html");
		}

		session_register("phase", "pos", "adminpos", "auth_user", "auth_passwd", "obj", "object", "isadmin", "user_gid", "user_cip");

		$com=0;
		$phase=0;
		$pos="ou=CommonUsers,ou=Users,".$config[base];
		$adminpos="ou=AdminUsers,ou=Users,".$config[base];
		$object="Common User";
		$isadmin=false;

		if ( $config[xoops_output] )
		{
			include("$config[xoops_path]/mainfile.php");
			$auth_user = $xoopsUser->getVar("uname");
			$auth_passwd = $lms_pass;
		}
		else
		{
			include("header.php");
			include("auth.php");
			include("footer.html");
			exit();
		}
	}
	elseif (!$auth_user)
	{
		$auth_user = $lms_auth_user;
		$auth_passwd = $lms_auth_passwd;
	}

	if ($com==4)
	{
		session_unset();
		if (session_destroy())
		{
			header("Location: ".$config[exiturl]);
		}
		else
		{
			include("header.php");
			print("<H1>!!! Cannot destroy session !!!</H1>");
			include("footer.html");
		}
		exit();
	}

	include("header.php");

define('DFTK_ROOT_PATH', "/usr/share/dftk/");
define('LMS_ROOT_PATH', "/usr/share/lms-core-api/");

require_once(LMS_ROOT_PATH."inc.php");
require_once(LMS_ROOT_PATH."unix/inc.php");

$langmgr =& new DftkDaLanguageManager();
$resultmgr =& new DftkDaTraceManager($langmgr);

$con =& new DftkLdapConnection($resultmgr);
$con->set_wrapping_parameter($config[base], "ou=Users", "ou=CommonUsers", "ou=AdminUsers", "ou=ServiceUsers");

$r =& $con->connect($config[server], true);
if ($r->has_error())
{
	print($r->get_debug_msg(true));
	exit;
}

$r =& $con->bind("uid=".$auth_user.",ou=CommonUsers,ou=Users,".$config[base], $auth_passwd);
if ($r->has_error())
	$r =& $con->bind("uid=".$auth_user.",ou=AdminUsers,ou=Users,".$config[base], $auth_passwd);
if ($r->has_error())
{
	print($r->get_debug_msg(true));
	$auth_user="";
	$auth_passwd="";
	include("disconnect.php");
	include("auth.php");
	include("footer.html");
	exit;
}
$usermgr =& new LmsUserManager($resultmgr, $con);
$ugrpmgr =& new LmsUnixGroupManager($resultmgr, $con);

	include("functions.php");
	include("functions2.php");

	include("menu.html");
	include("warning.php");

	switch($com)
	{
	case 0:
		// View
		$phase=0;
	case 1:
		// Modify
	case 2:
		// Delete
	case 3:
		// Add
		//
		$user = $auth_user;
		//
		if ($com2!=2)
			include("profile.php");
		else
			include("profile_modif.php");
		break;
	case 5:
		include("member_list.php");
		break;
	case 6:
		include("profile.php");
		break;
	}

	include("footer.html");
	include("disconnect.php");
?>
